aboutsummaryrefslogtreecommitdiffstats
path: root/testing/unibilium/APKBUILD
diff options
context:
space:
mode:
authorMarvin Steadfast <marvin@xsteadfastx.org>2016-02-16 09:52:50 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-02-22 14:08:57 +0000
commit6039effde38fea720d26dfc0e06b67f8ace99c39 (patch)
treea44adfe55d28f6d7544dd57637a3f0351b99f274 /testing/unibilium/APKBUILD
parent914e080c9c35b4a55868091b674866e211b8e4d2 (diff)
downloadaports-6039effde38fea720d26dfc0e06b67f8ace99c39.tar.gz
aports-6039effde38fea720d26dfc0e06b67f8ace99c39.tar.bz2
aports-6039effde38fea720d26dfc0e06b67f8ace99c39.tar.xz
testing/unibilium: new aport
https://github.com/mauke/unibilium/ A terminfo parsing library
Diffstat (limited to 'testing/unibilium/APKBUILD')
-rw-r--r--testing/unibilium/APKBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/testing/unibilium/APKBUILD b/testing/unibilium/APKBUILD
new file mode 100644
index 0000000000..71a09780bd
--- /dev/null
+++ b/testing/unibilium/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Marvin Steadfast <marvin@xsteadfastx.org>
+# Maintainer: Marvin Steadfast <marvin@xsteadfastx.org>
+pkgname=unibilium
+pkgver=1.2.0
+pkgrel=0
+pkgdesc="A terminfo parsing library"
+url="https://github.com/mauke/unibilium/"
+arch="all"
+license="LGPL3"
+depends=""
+depends_dev="libtool"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/mauke/unibilium/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/"$pkgname"-"$pkgver"
+build() {
+ cd "$_builddir"
+ make PREFIX=/usr || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="9b1c97839a880a373da6c097443b43c4 unibilium-1.2.0.tar.gz"
+sha256sums="623af1099515e673abfd3cae5f2fa808a09ca55dda1c65a7b5c9424eb304ead8 unibilium-1.2.0.tar.gz"
+sha512sums="7aff79669200810c2910006aba657ca2276123ecb3e6e0ba01fa2d1c3cdf838c391594e6035ef150deb6185c4f1e43fe1b0bfb59b23c6697d801a5bdee37a0ee unibilium-1.2.0.tar.gz"